### Signal

# Phosh NotifyDBusNotifications::handle-notify

#### Declaration

    gboolean
    handle_notify (
      PhoshNotifyDBusNotifications* self,
      GDBusMethodInvocation* invocation,
      gchar* arg_app_name,
      guint arg_replaces_id,
      gchar* arg_app_icon,
      gchar* arg_summary,
      gchar* arg_body,
      char** arg_actions,
      GVariant* arg_hints,
      gint arg_expire_timeout,
      gpointer user_data
    )

#### Description [src]

Signal emitted when a remote caller is invoking the Notify() D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `phosh_notify_dbus_notifications_complete_notify()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no other signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`invocation`

  Type: `GDBusMethodInvocation`

  A `GDBusMethodInvocation`.

  The data is owned by the caller of the function.

`arg_app_name`

  Type: `gchar*`

  Argument passed by remote caller.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`arg_replaces_id`

  Type: `guint`

  Argument passed by remote caller.

`arg_app_icon`

  Type: `gchar*`

  Argument passed by remote caller.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`arg_summary`

  Type: `gchar*`

  Argument passed by remote caller.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`arg_body`

  Type: `gchar*`

  Argument passed by remote caller.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`arg_actions`

  Type: An array of `utf8`

  Argument passed by remote caller.

  The array must be `NULL`-terminated.
  The data is owned by the caller of the function.
  Each element is a NUL terminated UTF-8 string.

`arg_hints`

  Type: `GVariant`

  Argument passed by remote caller.

  The data is owned by the caller of the function.

`arg_expire_timeout`

  Type: `gint`

  Argument passed by remote caller.

#### Return value

Type: `gboolean`

`G_DBUS_METHOD_INVOCATION_HANDLED` or `TRUE` if the invocation was handled, `G_DBUS_METHOD_INVOCATION_UNHANDLED` or `FALSE` to let other signal handlers run.